#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "DBDHud.generated.h"

class AStatusView;

UCLASS(Blueprintable)
class UDBDHud : public UObject
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TMap<FName, AStatusView*> _statusViews;

public:
	UDBDHud();
};

FORCEINLINE uint32 GetTypeHash(const UDBDHud) { return 0; }
